Subject: Re: BUG: skge ethernet breakage (PCI: Unable to reserve mem region)

From: Stephen Hemminger <[email-masked]>
Date: Tue, 11 Sep 2007 14:37:01 +0200

On Tue, 11 Sep 2007 12:58:24 +0200
Jan Gukelberger <[email-masked]> wrote:

> On Tue, 2007-09-11 at 10:21 +0200, Stephen Hemminger wrote:
> > On Fri, 07 Sep 2007 18:42:35 +0200
> > Jan Gukelberger <[email-masked]> wrote:
> [...]
> > > The key problem seem to be the following lines in dmesg:
> > > ------------------------------------------------------------------------
> > > ACPI: PCI Interrupt 0000:04:04.0[A] -> GSI 19 (level, low) -> IRQ 19
> > > PCI: Unable to reserve mem region #1:4000@ff9f8000 for device 0000:04:04.0
> > > skge 0000:04:04.0: cannot obtain PCI resources
> > > ACPI: PCI interrupt for device 0000:04:04.0 disabled
> > > skge: probe of 0000:04:04.0 failed with error -16
> > > ------------------------------------------------------------------------
> > > 
> > 
> > There is some kind of device conflict, please provide lspci -vvvxx output.
> 
> I'm attaching the output of 'lspci -vvvxx' on the working 2.6.20 kernel
> as well as the output of 'lspci -vvxxx' on 2.6.23-rc5 which I recorded
> earlier.
> I you specifically need 'lspci -vvvxx' on 2.6.23-rc5 please drop me a
> note and I'll reboot quickly.
> 
> Thanks,
> Jan

All looks in order, on the PCI tables. There is a firewire control just
above the skge device, perhaps you enabled one of the firewire stacks
in the configuration?  Perhaps the console (dmesg) output will show some clue.